Security update for openstack-keystone

SUSE Security Update: Security update for openstack-keystone
Announcement ID: SUSE-SU-2013:1113-1
Rating: moderate
References: #818596 #823783
Affected Products:
  • SUSE Cloud 1.0

  • An update that fixes two vulnerabilities is now available.


    This update fixes security vulnerabilities within

    * Vulnerable Keystone LDAP backend authentication
    (bnc#823783 / CVE-2013-2157)
    * Keystone tokens were not immediately invalidated when
    user was deleted (bnc#818596 / CVE-2013-2059)

    Security Issue references:

    * CVE-2013-2157
    * CVE-2013-2059

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Cloud 1.0:
      zypper in -t patch sleclo10sp2-openstack-keystone-7863

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Cloud 1.0 (x86_64):
    • openstack-keystone-2012.1+git.1361360075.f48dd0f-0.5.1
    • openstack-keystone-doc-2012.1+git.1361360075.f48dd0f-0.5.1
    • python-keystone-2012.1+git.1361360075.f48dd0f-0.5.1